Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: annotation instalation error  (Read 4968 times)

0 Members and 1 Guest are viewing this topic.

leeni

  • Coppermine newbie
  • Offline Offline
  • Posts: 6
annotation instalation error
« on: September 15, 2015, 03:08:19 pm »

Hello,
I tring install the annotation plugin. Put all dowloadid files on catalog, so I can see the plugin under plugin manager, but when I try to install them I got message - Critical Error Database Query Error occur.
version 1.5.38 and plugin v3.0

Is there some of files missing or am I missing something?

Thanks
Logged

Αndré

  • Administrator
  • Coppermine addict
  • *****
  • Country: de
  • Offline Offline
  • Gender: Male
  • Posts: 15639
Re: annotation instalation error
« Reply #1 on: September 15, 2015, 05:20:00 pm »

Please enable debug mode in the Coppermine config and try again to get an extended error message.
Logged

leeni

  • Coppermine newbie
  • Offline Offline
  • Posts: 6
Re: annotation instalation error
« Reply #2 on: September 18, 2015, 07:03:42 pm »

While executing query '


CREATE TABLE IF NOT EXISTS `pcan_plugin_annotate` (
  nid smallint(5) unsigned NOT NULL auto_increment,
  pid mediumint(8) unsigned NOT NULL,
  posx smallint(5) unsigned NOT NULL,
  posy smallint(5) unsigned NOT NULL,
  width smallint(5) unsigned NOT NULL,
  height smallint(5) unsigned NOT NULL,
  note text NOT NULL,
  user_id smallint(5) unsigned NOT NULL,
  PRIMARY KEY  (nid)
) TYPE=MyISAM  COMMENT='Contains the data for the annotate plugin'' in plugins/annotate/codebase.php on line 328

mySQL error: You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near 'TYPE=MyISAM  COMMENT='Contains the data for the annotate plugin'' at line 11

Fail: /data01/virt49169/domeenid/www.ajatunnetus.ee/malestused/fotod/include/functions.inc.php - Row: 272
Logged

Αndré

  • Administrator
  • Coppermine addict
  • *****
  • Country: de
  • Offline Offline
  • Gender: Male
  • Posts: 15639
Re: annotation instalation error
« Reply #3 on: September 18, 2015, 08:31:35 pm »

In codebase.php, find and remove
Code: [Select]
TYPE=MyISAM  COMMENT='Contains the data for the annotate plugin'and try to install again.
Logged

leeni

  • Coppermine newbie
  • Offline Offline
  • Posts: 6
Re: Re: annotation instalation error
« Reply #4 on: September 19, 2015, 10:44:29 am »

No such text on this file.
In codebase.php, find and remove
Code: [Select]
TYPE=MyISAM  COMMENT='Contains the data for the annotate plugin'and try to install again.
Logged

Krys

  • Translator
  • Coppermine newbie
  • **
  • Country: fr
  • Offline Offline
  • Gender: Male
  • Posts: 15
Re: annotation instalation error
« Reply #5 on: September 20, 2015, 10:53:01 pm »

Hello,

I would suggest to replace "TYPE" by "ENGINE", this keyword is deprecated since a long time now.
Logged

Αndré

  • Administrator
  • Coppermine addict
  • *****
  • Country: de
  • Offline Offline
  • Gender: Male
  • Posts: 15639
Re: annotation instalation error
« Reply #6 on: September 20, 2015, 11:00:04 pm »

The code is in schema.sql, sorry.
Logged

leeni

  • Coppermine newbie
  • Offline Offline
  • Posts: 6
Re: annotation instalation error
« Reply #7 on: September 21, 2015, 05:47:00 pm »

Thank you. Now works.
Logged
Pages: [1]   Go Up
 

Page created in 0.034 seconds with 22 queries.